# InventoryGUIRectSpaceCompound

class InventoryGUIRectSpaceCompound<T : ForInventory, E>(invType: InventoryType<T>, iconGenerator: (E) -> ItemStack, onClick: (InventoryGUIClickEvent<T>, E) -> Unit, compoundWidth: Int) : AbstractInventoryGUISpaceCompound<T, E>
Content copied to clipboard

## Functions

addContent
Link copied to clipboard
fun addContent(element: E)
Content copied to clipboard
Adds a new element to the compound.
fun addContent(elements: Collection<E>)
Content copied to clipboard
Adds new elements to the compound.
equals
Link copied to clipboard
open operator fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open fun hashCode(): Int
Content copied to clipboard
sortContentBy
Link copied to clipboard
fun <R : Comparable<R>> sortContentBy(reverse: Boolean = false, selector: (E) -> R?)
Content copied to clipboard
Defines the sort behaviour which gets applied to the content automatically.
toString
Link copied to clipboard
open fun toString(): String
Content copied to clipboard

## Properties

invType
Link copied to clipboard
val invType: InventoryType<T>
Content copied to clipboard